Webhooks
Reprocessar Evento
POST
/v1/users/webhooks/events/:id/retryBase URL Produção:
https://api.validapay.com.brBase URL Sandbox:
https://sandbox.validapay.com.brAutenticação
bearerAuthorizationstring · header · obrigatório
Envie no header:
Authorization: Bearer {{token}}Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Required | Id |
Reenvia a notificação de um evento que não foi entregue ou precisa ser processado novamente.
Reenviar disparo
:id = webhookEventId.
const url = 'https://sandbox.validapay.com.br/v1/users/webhooks/events/:id/retry';
const options = {
method: 'POST',
headers: {
'Authorization': 'Bearer {{token}}'
},
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Response Examples
200200
{
"message": "Webhook reenviado com sucesso",
"webhookEventId": "evt_xxx",
"attempt": 2,
"status": "success"
}404404
{
"code": "WEBHOOK_EVENT_NOT_FOUND"
}